Exec (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: Exec

Package org.apache.tools.ant.taskdefs

# Class Exec

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.Exec

All Implemented Interfaces:
  `java.lang.Cloneable`

    @Deprecated
    public class Exec
    extends Task

Deprecated.
since 1.2. delegate to `Execute` instead.
Executes a given command if the os platform is appropriate.

As of Ant 1.2, this class is no longer the implementation of Ant's <exec> task - it is considered to be dead code by the Ant developers and is unmaintained. Don't use it.

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.io.PrintWriter` | `fos` | Deprecated.

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `Exec()` | Deprecated. Constructor for Exec.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `execute()` | Deprecated. Execute the task.
  `protected void` | `logFlush()` | Deprecated. Close output.
  `protected void` | `outputLog​(java.lang.String line, int messageLevel)` | Deprecated. Log an output message.
  `protected int` | `run​(java.lang.String command)` | Deprecated. Execute the command.
  `void` | `setCommand​(java.lang.String command)` | Deprecated. Set the command to exec.
  `void` | `setDir​(java.lang.String d)` | Deprecated. Set the directory.
  `void` | `setFailonerror​(boolean fail)` | Deprecated. Set the failOnError attribute.
  `void` | `setOs​(java.lang.String os)` | Deprecated. Set the Operating System that this exec is to run in.
  `void` | `setOutput​(java.lang.String out)` | Deprecated. Set the output filename.

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### fos

    protected java.io.PrintWriter fos
    Deprecated.

- ## Constructor Details

  - ### Exec

    public Exec()
    Deprecated.
    Constructor for Exec. Prints a warning message to std error.

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Deprecated.
    Execute the task.
    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - on error

  - ### run

    protected int run​(java.lang.String command) throws BuildException
    Deprecated.
    Execute the command.
    Parameters:
      `command` - the command to exec
    Returns:
      the exit value of the command
    Throws:
      `BuildException` - on error

  - ### setDir

    public void setDir​(java.lang.String d)
    Deprecated.
    Set the directory.
    Parameters:
      `d` - a `String` value

  - ### setOs

    public void setOs​(java.lang.String os)
    Deprecated.
    Set the Operating System that this exec is to run in.
    Parameters:
      `os` - a `String` value

  - ### setCommand

    public void setCommand​(java.lang.String command)
    Deprecated.
    Set the command to exec.
    Parameters:
      `command` - a `String` value

  - ### setOutput

    public void setOutput​(java.lang.String out)
    Deprecated.
    Set the output filename.
    Parameters:
      `out` - a `String` value

  - ### setFailonerror

    public void setFailonerror​(boolean fail)
    Deprecated.
    Set the failOnError attribute. Default is false.
    Parameters:
      `fail` - a `boolean` value

  - ### outputLog

    protected void outputLog​(java.lang.String line, int messageLevel)
    Deprecated.
    Log an output message.
    Parameters:
      `line` - the line to putput
      `messageLevel` - the level of logging - ignored if output is going to a file

  - ### logFlush

    protected void logFlush()
    Deprecated.
    Close output.